ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.61 by root, Mon Jan 2 18:25:02 2006 UTC vs.
Revision 1.62 by root, Wed Jan 4 05:12:04 2006 UTC

4320 4320
4321MALLOC_TYPE=S 4321MALLOC_TYPE=S
4322 4322
4323support_addstrings=no 4323support_addstrings=no
4324support_frills=yes 4324support_frills=yes
4325support_inheritpixmap=no 4325support_inheritpixmap=yes
4326support_tinting=yes 4326support_tinting=yes
4327support_fading=yes 4327support_fading=yes
4328support_keepscrolling=yes 4328support_keepscrolling=yes
4329support_selectionscrolling=yes 4329support_selectionscrolling=yes
4330support_menubar=no 4330support_menubar=no
4338support_scroll_rxvt=yes 4338support_scroll_rxvt=yes
4339support_scroll_next=yes 4339support_scroll_next=yes
4340support_scroll_xterm=yes 4340support_scroll_xterm=yes
4341support_scroll_plain=yes 4341support_scroll_plain=yes
4342support_xim=yes 4342support_xim=yes
4343support_xpm=no 4343support_xpm=yes
4344support_xft=yes 4344support_xft=yes
4345support_unicode3=no 4345support_unicode3=no
4346support_combining=yes 4346support_combining=yes
4347support_8bitctrls=no 4347support_8bitctrls=no
4348support_iso14755=yes 4348support_iso14755=yes
4349support_styles=yes 4349support_styles=yes
4350support_perl=no 4350support_perl=yes
4351codesets=all 4351codesets=all
4352 4352
4353 4353
4354if test "x$enable_shared" = xyes; then 4354if test "x$enable_shared" = xyes; then
4355 4355
12739 12739
12740 echo "$as_me:$LINENO: checking for $PERL suitability" >&5 12740 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12741echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6 12741echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12742 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then 12742 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12743 12743
12744 save_CXXFLAGS="$CXXFLAGS"
12745 save_LIBS="$LIBS"
12746 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12747 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12748 cat >conftest.$ac_ext <<_ACEOF
12749/* confdefs.h. */
12750_ACEOF
12751cat confdefs.h >>conftest.$ac_ext
12752cat >>conftest.$ac_ext <<_ACEOF
12753/* end confdefs.h. */
12754
12755#include <EXTERN.h>
12756#include <perl.h>
12757#include <XSUB.h>
12758
12759int
12760main ()
12761{
12762
12763 PerlInterpreter *perl = perl_alloc ();
12764
12765 ;
12766 return 0;
12767}
12768_ACEOF
12769rm -f conftest.$ac_objext conftest$ac_exeext
12770if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12771 (eval $ac_link) 2>conftest.er1
12772 ac_status=$?
12773 grep -v '^ *+' conftest.er1 >conftest.err
12774 rm -f conftest.er1
12775 cat conftest.err >&5
12776 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12777 (exit $ac_status); } &&
12778 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12779 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12780 (eval $ac_try) 2>&5
12781 ac_status=$?
12782 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12783 (exit $ac_status); }; } &&
12784 { ac_try='test -s conftest$ac_exeext'
12785 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12786 (eval $ac_try) 2>&5
12787 ac_status=$?
12788 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12789 (exit $ac_status); }; }; then
12790 rxvt_perl_link=yes
12791else
12792 echo "$as_me: failed program was:" >&5
12793sed 's/^/| /' conftest.$ac_ext >&5
12794
12795rxvt_perl_link=no
12796fi
12797rm -f conftest.err conftest.$ac_objext \
12798 conftest$ac_exeext conftest.$ac_ext
12799 CXXFLAGS="$save_CXXFLAGS"
12800 LIBS="$save_LIBS"
12801
12802 if test x$rxvt_perl_link = xyes; then
12803 echo "$as_me:$LINENO: result: ok" >&5
12804echo "${ECHO_T}ok" >&6
12805
12744cat >>confdefs.h <<\_ACEOF 12806cat >>confdefs.h <<\_ACEOF
12745#define ENABLE_PERL 1 12807#define ENABLE_PERL 1
12746_ACEOF 12808_ACEOF
12747 12809
12748 IF_PERL= 12810 IF_PERL=
12749 PERL_O=rxvtperl.o 12811 PERL_O=rxvtperl.o
12750 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`" 12812 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12751 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`" 12813 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12752 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`" 12814 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12815 else
12816 support_perl=no
12753 echo "$as_me:$LINENO: result: ok" >&5 12817 echo "$as_me:$LINENO: result: no, unable to link" >&5
12754echo "${ECHO_T}ok" >&6 12818echo "${ECHO_T}no, unable to link" >&6
12819 fi
12755 else 12820 else
12756 { { echo "$as_me:$LINENO: error: no working perl found" >&5 12821 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12757echo "$as_me: error: no working perl found" >&2;} 12822echo "$as_me: error: no working perl found" >&2;}
12758 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; } 12823 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12824 support_perl=no
12759 fi 12825 fi
12760fi 12826fi
12761 12827
12762 12828
12763 12829

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines